# Running the 1k, and 10k versions of the random pulse generator
# channels 0 => 11 random delay between pulses, and random pulse height
# channels 12 => 15 fixed delay from channels 0 => 3
#                   programmed pulse height
# setup the random number generator seeds
foreach  pat [list  0x2000 0x4000 0x8000 0xa000] {
wrw [expr $pat + 0x20] 0x801
wrw [expr $pat + 0x22] 0x802
wrw [expr $pat + 0x24] 0x804
wrw [expr $pat + 0x26] 0x808
wrw [expr $pat + 0x28] 0x810
wrw [expr $pat + 0x2a] 0x820
wrw [expr $pat + 0x2c] 0x840
wrw [expr $pat + 0x2e] 0x880
wrw [expr $pat + 0x30] 0x881
wrw [expr $pat + 0x32] 0x882
wrw [expr $pat + 0x34] 0x884
wrw [expr $pat + 0x36] 0x888
# the pulse delays for the 4 followers
wrw [expr $pat + 0x38] 40
wrw [expr $pat + 0x3a] 41
wrw [expr $pat + 0x3c] 42
wrw [expr $pat + 0x3e] 43
# the pulse heights for the followers
wrw [expr $pat + 0x18] 8
wrw [expr $pat + 0x1a] 9
wrw [expr $pat + 0x1c] 10
wrw [expr $pat + 0x1a] 11
# Make it go
wrw [expr $pat + 0x44] 3
}
# change the polarity of some of the outputs
wrw  0x2042 0x801f
wrw  0xa042 0x001f

